TAAS - Feature #223

Refund/Void Report
07/09/2023 03:21 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Nawal Sidique % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Void Report

Description

Coding Void Report

History

#1 - 07/10/2023 01:40 PM - Anil KV
- Subject changed from Void Report to Refund/Void Report

Coding Refund/Void Report

#2 - 07/12/2023 10:45 AM - Anil KV

Solutions

1) Ticket Query
SELECT spd.pk_supp_doc_no_id,
spd.vhr_supp_doc_no,
spd.dat_cancel,
spd.dat_refund,
spd.fk_service_id,
tkt.fk_branch_id,
tkt.fk_department_id,
tkt.fk_supplier_ac_id,
tkt.fk_ticket_type_id,
tkt.vhr_class_chr,
tkt.sin_class,
tkt.vhr_return_class_chr,
tkt.sin_return_class,
tkt.fk_sector_remarks_id,
tkt.vhr_sector,
tkt.sin_no_of_segments,
tkt.fk_customer_ac_id,
tkt.fk_actual_customer_ac_id,
tkt.fk_sub_customer_id,
tkt.fk_pax_profile_id,
tkt.vhr_pax_name,
tkt.sin_no_of_adult,
tkt.sin_no_of_child,
tkt.sin_no_of_infant,
tkg.fk_airline_master_id,
tkg.fk_refunding_counter_staff_id,
spdf.vhr_currency,
spdf.dbl_fare,
spdf.dbl_tax,
spdf.dbl_sup_fee,
spdf.dbl_sup_rfd_charge,
spdf.dbl_supplier_amount,
spdf.dbl_customer_price,
spdf.dbl_actual_profit
FROM airticket.tbl_ticket tkt
INNER JOIN service.tbl_ supp_doc_no spd
ON tkt.fk_supp_doc_no_id = spd.pk_supp_doc_no_id AND tkt.sin_record_type = 2 AND tkt.int_sys_action_id
1= -1
INNER JOIN airticket.tbl_ticket_gen_data tkg
ON tkg.fk_supp_doc_no_id = tkg.fk_supp_doc_no_id
LEFT JOIN service.tbl_supp_doc_fare spdf
ON tkt.fk_ticket_sup_ledg_fare_id = spdf.pk_supp_doc_fare_id
—-If Need(Not in filter) Join Service, Airline, Service, Account etc...
#3 - 07/12/2023 10:54 AM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Shanto Shaji

- % Done changed from 0 to 10

#4 - 07/13/2023 09:27 AM - Shanto Shaji
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#5 - 09/27/2023 10:13 AM - Junaid M

- Assignee changed from Shanto Shaji to Baseem Shan

#6 - 05/14/2024 01:36 PM - Baseem Shan
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#7 - 05/15/2024 06:00 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

FIXED - 1.Fix Bugs On Button In Case Without Selecting Any Data And Choosing To Refund
NOT A BUG - 2.Show Data As Per Selected Filter Fields In Ul

#8 - 05/20/2024 08:43 AM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#9 - 05/22/2024 12:36 PM - unnikannan S
TESTING DONE

#10 - 11/22/2024 04:55 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#11 - 11/23/2024 10:47 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

Fixed - 1)IF THE Ticket/Voucher No FIELD IS FILLED MAKE THE DATE FIELD OPTIONAL
Fixed - 2)IF THE FROM DATE IS TODAYS DATE OR PREVIOUS DATE SET THE TO DATE AS TODAYS DATE

05/04/2025 2/5



#12 - 11/24/2024 10:16 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 11/27/2024 12:41 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#14 - 11/29/2024 12:11 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISUUE FOUND

FIXED -- 1. Refunded documents are not redirecting to refund module.

NEW CHANGES

FIXED -- 1. New tab for package vouchers.

#15 - 12/04/2024 06:00 PM - Baseem Shan
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 12/05/2024 03:59 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#17 - 01/28/2025 01:02 PM - Arathy PS

- Assignee changed from Baseem Shan to Nawal Sidique

#18 - 01/28/2025 03:34 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

FIXED - 1.Add redirection to document and voucher no:

#19 - 01/30/2025 06:46 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 02/08/2025 10:11 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

1)On redirection document is not load n sale module

2) By using redirection through edit icon , document is not load in refund module

#21 - 02/10/2025 09:38 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#22 - 02/13/2025 11:40 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#23 - 02/13/2025 11:53 AM - Theja Ponon
- File clipboard-202502131151-nwsok.png added

Issue found

1)issue on package tab print - FIXED

Refund/ Void Report Package

Cancel Date 1 12/02/2025 - 13/02/2025 Consider Voucher : No
Stock

Branch C Al Currency : Base1(QAR)

Service : Al Consider : Cancel

Refund/ Voucher No Package Tax Supplier Net Profit Refund Net payable
Cancel Date Charge Receivable Charge

12/02/2025 PKO02 PKO1:: Package Flxed k 2000.00 0.00 0.00 2000.00

2)Sale document is not load in sale module - FIXED

#24 - 02/17/2025 06:41 PM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 03/05/2025 02:22 PM - Theja Ponon

- File clipboard-202503051412-afzzj.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)blank page in print - FIXED
Currency : Basel (QAR)

Consider : Cancel

Refund/ Ticket No Sector Tax Supplier Net Net

Cancel Date Charge  Receivable Payable

06/03/2025 TKT364565 SA001: Air CCJ/BOM 1000.00 I 0.00 1000.00 - 1100.00
Ticket Service

06/03/2025 TKT4534 SA001: Air CCJ/BOM 1000.00 X . 1000.00 - X 1100.00
Ticket Service

06/03/2025 TKT455643 SA001: Air CCJ/BOM 1000.00 l . 1000.00 X 1033.33

Ticket Service

07/03/2025 TKT34534  SA001: Air CCJ/BOM 1000.00 . . 1000.00 - . 1100.00

Ticket Service

wted Date: 05/03/2025 02:10 PM Page: Printed By: admin

Refund/ Ticket No Sector Class Supplier Net
Cancel Date Charge  Receivable

#26 - 03/06/2025 09:51 AM - Nawal Sidique
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 03/10/2025 04:35 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files
clipboard-202502131151-nwsok.png 60.7 KB 02/13/2025 Theja Ponon
clipboard-202503051412-afzzj.png 97.8 KB 03/05/2025 Theja Ponon
